v_sditxss: xv_sditxss.h File Reference

| v_sditxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Data Structures | Macros | Typedefs
xv_sditxss.h File Reference

## Overview

This is main header file of the Xilinx SDI TX Subsystem driver.

SDI Transmitter Subsystem Overview

SDI TX Subsystem is a collection of IP cores bounded together by software to provide an abstract view of the processing pipe. It hides all the complexities of programming the underlying cores from end user.

Subsystem Driver Features

SDI Subsystem supports following features

- AXI Stream Input/Output interface
- 2 pixel-wide video interface
- 10 bits per component
- YCbCr color space
- Up to 4k2k 60Hz resolution at both Input and Output interface
- Interlaced output support (1080i 50Hz/60Hz)

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  jsr  07/17/17 Initial release.
    2.00  kar  01/25/18 Second  release.
          jsr  03/02/2018 Added core settings API
    3.0   vve  10/03/18 Add support for ST352 in C Stream

## Data Structures
struct | XV_SdiTxSs_Log
| This typedef contains the logging mechanism for debug. More...
struct | XV_SdiTxSs_SubCore
| Sub-Core Configuration Table. More...
struct | XV_SdiTxSs_Config
| This typedef contains configuration information for the SDI TX core. More...
struct | XV_SdiTxSs
| The XV_SdiTxSs driver instance data. More...

## Macros
#define | XV_SDITXSS_H_
| Prevent circular inclusions by using protection macros. More...

## Typedefs
typedef void(* | XV_SdiTxSs_Callback )(void *CallbackRef)
| Callback type for interrupt. More...

## Bitmasks for interrupt callbacks
Please refer to SDI Tx driver for details of the bitmasks. The application should use the XV_SDITXSS_IER* masks in the call back functions to decode the exact cause of interrupt and handle it accordingly.
#define | XV_SDITXSS_IER_GTTX_RSTDONE_MASK XV_SDITX_IER_GTTX_RSTDONE_MASK
#define | XV_SDITXSS_IER_TX_CE_ALIGN_ERR_MASK XV_SDITX_IER_TX_CE_ALIGN_ERR_MASK
#define | XV_SDITXSS_IER_AXI4S_VID_LOCK_MASK XV_SDITX_IER_AXI4S_VID_LOCK_MASK
#define | XV_SDITXSS_IER_OVERFLOW_MASK XV_SDITX_IER_OVERFLOW_MASK
#define | XV_SDITXSS_IER_UNDERFLOW_MASK XV_SDITX_IER_UNDERFLOW_MASK
#define | XV_SDITXSS_IER_ALLINTR_MASK XV_SDITX_IER_ALLINTR_MASK
enum | XV_SdiTxSs_LogEvent { XV_SDITXSS_LOG_EVT_NONE = 1, XV_SDITXSS_LOG_EVT_SDITX_INIT, XV_SDITXSS_LOG_EVT_VTC_INIT, XV_SDITXSS_LOG_EVT_START, XV_SDITXSS_LOG_EVT_STOP, XV_SDITXSS_LOG_EVT_RESET, XV_SDITXSS_LOG_EVT_STREAMUP, XV_SDITXSS_LOG_EVT_STREAMDOWN, XV_SDITXSS_LOG_EVT_OVERFLOW, XV_SDITXSS_LOG_EVT_UNDERFLOW, XV_SDITXSS_LOG_EVT_CEALIGN, XV_SDITXSS_LOG_EVT_AXI4SVIDLOCK, XV_SDITXSS_LOG_EVT_STREAMSTART , XV_SDITXSS_LOG_EVT_DUMMY }
| This typedef contains the enum for various logging events. More...
enum | XV_SdiTxSs_HandlerType { XV_SDITXSS_HANDLER_GTREADY = 1, XV_SDITXSS_HANDLER_OVERFLOW, XV_SDITXSS_HANDLER_UNDERFLOW, XV_SDITXSS_HANDLER_CEALIGN, XV_SDITXSS_HANDLER_AXI4SVIDLOCK }
| These constants specify different types of handler and used to differentiate interrupt requests from peripheral. More...

## SDITxSs Core Configurable Settings
#define | XV_SdiTxSs_GetVersion(InstancePtr)
| This macro reads the TX version. More...
enum | XV_SdiTxSs_CoreSelId
XV_SdiTxSs_Config * | XV_SdiTxSs_LookupConfig (u32 DeviceId)
| This function looks for the device configuration based on the unique device ID. More...
int | XV_SdiTxSs_CfgInitialize (XV_SdiTxSs *InstancePtr, XV_SdiTxSs_Config *CfgPtr, UINTPTR EffectiveAddr)
| This function initializes the video subsystem and included sub-cores. More...
void | XV_SdiTxSS_SdiTxIntrHandler (XV_SdiTxSs *InstancePtr)
| This function calls the interrupt handler for SDI TX. More...
int | XV_SdiTxSs_SetCallback (XV_SdiTxSs *InstancePtr, u32 HandlerType, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function for the given HandlerType: More...
void | XV_SdiTxSs_StreamStart (XV_SdiTxSs *InstancePtr)
| This function starts the SDI TX stream. More...
void | XV_SdiTxSs_StreamConfig (XV_SdiTxSs *InstancePtr)
| This function configures SDI TX stream. More...
void | XV_SdiTxSs_Stop (XV_SdiTxSs *InstancePtr)
| This macro disables the SDI TX peripheral. More...
u32 * | XV_SdiTxSs_GetPayloadId (XV_SdiTxSs *InstancePtr, u8 StreamId)
| This function returns the pointer to SDI TX SS video stream payload ID. More...
XSdiVid_Transport * | XV_SdiTxSs_GetTransport (XV_SdiTxSs *InstancePtr)
| This function returns the pointer to SDI TX SS video transport. More...
XVidC_VideoStream * | XV_SdiTxSs_GetVideoStream (XV_SdiTxSs *InstancePtr, u8 StreamId)
| This function returns the pointer to SDI TX SS video stream. More...
void | XV_SdiTxSs_SetVideoStream (XV_SdiTxSs *InstancePtr, XVidC_VideoStream VidStream)
| This function Sets the SDI TX SS video stream. More...
void | XV_SdiTxSs_ReportInfo (XV_SdiTxSs *InstancePtr)
| This function prints the SDI TX SS information. More...
void | XV_SdiTxSs_ReportDebugInfo (XV_SdiTxSs *InstancePtr, u32 VtcFlag)
| This function prints the SDI TX SS debug information. More...
void | XV_SdiTxSs_ReportStreamInfo (XV_SdiTxSs *InstancePtr)
| This function prints the SDI TX SS stream information. More...
void | XV_SdiTxSs_ReportDetectedError (XV_SdiTxSs *InstancePtr)
| This function reports stream errors detected. More...
int | XV_SdiTxSs_IsStreamUp (XV_SdiTxSs *InstancePtr)
| This function checks if the video stream is up. More...
void | XV_SdiTxSs_IntrEnable (XV_SdiTxSs *InstancePtr, u32 IntrMask)
| This function is used to configure the SDI TX interrupts that are to be handled by the application. More...
void | XV_SdiTxSs_IntrDisable (XV_SdiTxSs *InstancePtr, u32 IntrMask)
| This function is used to configure the SDI TX interrupts that are to be handled by the application. More...
u32 | XV_SdiTxSs_GetPayload (XV_SdiTxSs *InstancePtr, XVidC_VideoMode VideoMode, XSdiVid_TransMode SdiMode, u8 DataStream)
| This function calculates the final ST352 payload value for all SDI modes with given video mode and SDI data stream number. More...
u32 | XV_SdiTxSs_SetStream (XV_SdiTxSs *InstancePtr, XV_SdiTx_StreamSelId SelId, u32 Data, u8 StreamId)
| This function sets the SDI TXSs stream parameters. More...
u32 | XV_SdiTxSs_SelfTest (XV_SdiTxSs *InstancePtr)
| This function performs self test on SDI Tx Subsystem sub-cores. More...
void | XV_SdiTxSs_LogReset (XV_SdiTxSs *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XV_SdiTxSs_LogWrite (XV_SdiTxSs *InstancePtr, XV_SdiTxSs_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logginc mechanism. More...
u16 | XV_SdiTxSs_LogRead (XV_SdiTxSs *InstancePtr)
| This function will read the last event from the log. More...
void | XV_SdiTxSs_LogDisplay (XV_SdiTxSs *InstancePtr)
| This function will print the entire log. More...
int | XV_SdiTxSs_SetColorFormat (XV_SdiTxSs *InstancePtr, XVidC_ColorFormat ColorFormat)
| This function Set the video format of the SDI TX Ss core. More...
void | XV_SdiTxSs_ST352CStreamEnable (XV_SdiTxSs *InstancePtr)
| This function enables the insertion of ST352 in C stream of the SDI TX Ss core. More...
void | XV_SdiTxSs_ST352CSwitch3GA (XV_SdiTxSs *InstancePtr)
| This function enables the ST352 value to be used from DS2 instead of DS3 register in C stream of the SDI TX Ss core. More...
void | XV_SdiTxSs_SetCoreSettings (XV_SdiTxSs *InstancePtr, XV_SdiTxSs_CoreSelId SelId, u8 Data)
| This function sets the SDI TXSS core settings. More...
void | XV_SdiTxSs_SetYCbCr444_RGB_10bit (XV_SdiTxSs *InstancePtr)
| This function enable the YUV444/RGB 10bit support SDI TX SS video stream. More...
void | XV_SdiTxSs_ClearYCbCr444_RGB_10bit (XV_SdiTxSs *InstancePtr)
| This function disable the YUV444/RGB 10bit support SDI TX SS video stream. More...

## Macro Definition Documentation

#define XV_SdiTxSs_GetVersion | ( |  | InstancePtr | ) |

Value:
XV_SdiTxSs_ReadReg((InstancePtr)->Config.BaseAddress, \
(XV_SDITXSS_VER_OFFSET))

This macro reads the TX version.

Parameters

  InstancePtr | is a pointer to the XV_SdiTX core instance.

Returns
  None.

#define XV_SDITXSS_H_

Prevent circular inclusions by using protection macros.

## Typedef Documentation

typedef void(* XV_SdiTxSs_Callback)(void *CallbackRef)

Callback type for interrupt.

Parameters

  CallbackRef | is a callback reference passed in by the upper layer when setting the callback functions, and passed back to the upper layer when the callback is invoked.

Returns
  None.

Note
  None.

## Enumeration Type Documentation

enum XV_SdiTxSs_HandlerType

These constants specify different types of handler and used to differentiate interrupt requests from peripheral.

Enumerator
XV_SDITXSS_HANDLER_GTREADY | Handler for connect event.
XV_SDITXSS_HANDLER_OVERFLOW | Handler for overflow event.
XV_SDITXSS_HANDLER_UNDERFLOW | Handler for underflow event.
XV_SDITXSS_HANDLER_CEALIGN | Handler for CE align event.
XV_SDITXSS_HANDLER_AXI4SVIDLOCK | Handler for axi4s vid lock event.

enum XV_SdiTxSs_LogEvent

This typedef contains the enum for various logging events.

Enumerator
XV_SDITXSS_LOG_EVT_NONE | Log event none.
XV_SDITXSS_LOG_EVT_SDITX_INIT | Log event SDITX Init.
XV_SDITXSS_LOG_EVT_VTC_INIT | Log event VTC Init.
XV_SDITXSS_LOG_EVT_START | Log event SDITXSS Start.
XV_SDITXSS_LOG_EVT_STOP | Log event SDITXSS Stop.
XV_SDITXSS_LOG_EVT_RESET | Log event SDITXSS Reset.
XV_SDITXSS_LOG_EVT_STREAMUP | Log event Stream Up.
XV_SDITXSS_LOG_EVT_STREAMDOWN | Log event Stream Down.
XV_SDITXSS_LOG_EVT_OVERFLOW | Log event Over flow.
XV_SDITXSS_LOG_EVT_UNDERFLOW | Log event Under Flow.
XV_SDITXSS_LOG_EVT_CEALIGN | Log event CE align.
XV_SDITXSS_LOG_EVT_AXI4SVIDLOCK | Log event Axi4s video lock.
XV_SDITXSS_LOG_EVT_STREAMSTART | Log event Stream Start.
XV_SDITXSS_LOG_EVT_DUMMY | Dummy Event should be last.

## Function Documentation

int XV_SdiTxSs_CfgInitialize | ( | XV_SdiTxSs * | InstancePtr,
|  | XV_SdiTxSs_Config * | CfgPtr,
|  | UINTPTR | EffectiveAddr
| ) |  |

This function initializes the video subsystem and included sub-cores.

This function must be called prior to using the subsystem. Initialization includes setting up the instance data for top level as well as all included sub-core therein, and ensuring the hardware is in a known stable state.

Parameters

  InstancePtr | is a pointer to the Subsystem instance to be worked on.
  CfgPtr | points to the configuration structure associated with the subsystem instance.
  EffectiveAddr | is the base address of the device. If address translation is being used, then this parameter must reflect the virtual base address. Otherwise, the physical address should be used.

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

References XV_SdiTxSs_Config::BaseAddress, XV_SdiTxSs::Config, XV_SdiTxSs_Config::DeviceId, XV_SdiTxSs::IsReady, XV_SdiTxSs::SdiTxPtr, XV_SdiTxSs::VtcPtr, XV_SdiTxSs_SubcoreInitSdiTx(), and XV_SdiTxSs_SubcoreInitVtc().

Referenced by main(), and SdiTxSs_SelfTestExample().

void XV_SdiTxSs_ClearYCbCr444_RGB_10bit | ( | XV_SdiTxSs * | InstancePtr | ) |

This function disable the YUV444/RGB 10bit support SDI TX SS video stream.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None

References XV_SdiTxSs::SdiTxPtr.

u32 XV_SdiTxSs_GetPayload | ( | XV_SdiTxSs * | InstancePtr,
|  | XVidC_VideoMode | VideoMode,
|  | XSdiVid_TransMode | SdiMode,
|  | u8 | DataStream
| ) |  |

This function calculates the final ST352 payload value for all SDI modes with given video mode and SDI data stream number.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.
  VideoMode | is a variable of type XVidC_VideoMode.
  SdiMode | is a variable of type XSdiVid_TransMode.
  DataStream | is the stream number for which payload is calculated.

Returns
  XST_SUCCESS / XST_FAILURE.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

u32* XV_SdiTxSs_GetPayloadId | ( | XV_SdiTxSs * | InstancePtr,
|  | u8 | StreamId
| ) |  |

This function returns the pointer to SDI TX SS video stream payload ID.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance
  StreamId | specifies which of the pointer of PayloadId to be returned

Returns
  u32 pointer

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by StartTxAfterRx().

XSdiVid_Transport* XV_SdiTxSs_GetTransport | ( | XV_SdiTxSs * | InstancePtr | ) |

This function returns the pointer to SDI TX SS video transport.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  XSdiVid_Transport pointer

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by StartTxAfterRx().

XVidC_VideoStream* XV_SdiTxSs_GetVideoStream | ( | XV_SdiTxSs * | InstancePtr,
|  | u8 | StreamId
| ) |  |

This function returns the pointer to SDI TX SS video stream.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance
  StreamId | specifies which video stream's pointer to be returned

Returns
  XVidC_VideoStream pointer

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by StartTxAfterRx().

void XV_SdiTxSs_IntrDisable | ( | XV_SdiTxSs * | InstancePtr,
|  | u32 | IntrMask
| ) |  |

This function is used to configure the SDI TX interrupts that are to be handled by the application.

Refer to xv_sditxss_hw.h for interrupt masks.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance
  IntrMask | Indicates Mask for disabling interrupts.

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by main().

void XV_SdiTxSs_IntrEnable | ( | XV_SdiTxSs * | InstancePtr,
|  | u32 | IntrMask
| ) |  |

This function is used to configure the SDI TX interrupts that are to be handled by the application.

Refer to xv_sditxss_hw.h for interrupt masks.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance
  IntrMask | Indicates Mask for enable interrupts.

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by main().

int XV_SdiTxSs_IsStreamUp | ( | XV_SdiTxSs * | InstancePtr | ) |

This function checks if the video stream is up.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  - TRUE if stream is up.
  - FALSE if stream is down.

Note
  None.

References XV_SdiTxSs::IsStreamUp.

void XV_SdiTxSs_LogDisplay | ( | XV_SdiTxSs * | InstancePtr | ) |

This function will print the entire log.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  None.

Note
  None.

References XV_SDITXSS_LOG_EVT_AXI4SVIDLOCK, XV_SDITXSS_LOG_EVT_CEALIGN, XV_SDITXSS_LOG_EVT_NONE, XV_SDITXSS_LOG_EVT_OVERFLOW, XV_SDITXSS_LOG_EVT_RESET, XV_SDITXSS_LOG_EVT_SDITX_INIT, XV_SDITXSS_LOG_EVT_START, XV_SDITXSS_LOG_EVT_STOP, XV_SDITXSS_LOG_EVT_STREAMDOWN, XV_SDITXSS_LOG_EVT_STREAMSTART, XV_SDITXSS_LOG_EVT_STREAMUP, XV_SDITXSS_LOG_EVT_UNDERFLOW, XV_SDITXSS_LOG_EVT_VTC_INIT, and XV_SdiTxSs_LogRead().

u16 XV_SdiTxSs_LogRead | ( | XV_SdiTxSs * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  The log data.

Note
  None.

References XV_SdiTxSs_Log::DataBuffer, XV_SdiTxSs_Log::HeadIndex, XV_SdiTxSs::Log, and XV_SdiTxSs_Log::TailIndex.

Referenced by XV_SdiTxSs_LogDisplay().

void XV_SdiTxSs_LogReset | ( | XV_SdiTxSs * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the xv_sditxss core instance.

Returns
  None.

Note
  None.

References XV_SdiTxSs_Log::HeadIndex, XV_SdiTxSs::Log, and XV_SdiTxSs_Log::TailIndex.

void XV_SdiTxSs_LogWrite | ( | XV_SdiTxSs * | InstancePtr,
|  | XV_SdiTxSs_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logginc mechanism.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  None.

References XV_SdiTxSs_Log::DataBuffer, XV_SdiTxSs_Log::HeadIndex, XV_SdiTxSs::Log, XV_SdiTxSs_Log::TailIndex, and XV_SDITXSS_LOG_EVT_DUMMY.

Referenced by XV_SdiTxSs_Stop(), XV_SdiTxSs_StreamConfig(), XV_SdiTxSs_StreamStart(), XV_SdiTxSs_SubcoreInitSdiTx(), and XV_SdiTxSs_SubcoreInitVtc().

XV_SdiTxSs_Config* XV_SdiTxSs_LookupConfig | ( | u32 | DeviceId | ) |

This function looks for the device configuration based on the unique device ID.

The table XV_SdiTxSs_ConfigTable[] contains the configuration information for each instance of the device in the system.

Parameters

  DeviceId | is the unique device ID of the device being looked up

Returns
  A pointer to the configuration table entry corresponding to the given device ID, or NULL if no match is found

Referenced by main(), and SdiTxSs_SelfTestExample().

void XV_SdiTxSs_ReportDebugInfo | ( | XV_SdiTxSs * | InstancePtr,
|  | u32 | VtcFlag
| ) |  |

This function prints the SDI TX SS debug information.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance
  VtcFlag | specifies if VTC block is currently stable or not.

Returns
  None.

Note
  A known issue on the VTC causes it to require a stable clock before the registers may be access. VtcFlag is used to decide whether VTC can be read or not.

References XV_SdiTxSs::SdiTxPtr, and XV_SdiTxSs::VtcPtr.

Referenced by DebugInfo().

void XV_SdiTxSs_ReportDetectedError | ( | XV_SdiTxSs * | InstancePtr | ) |

This function reports stream errors detected.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_ReportInfo | ( | XV_SdiTxSs * | InstancePtr | ) |

This function prints the SDI TX SS information.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by Info().

void XV_SdiTxSs_ReportStreamInfo | ( | XV_SdiTxSs * | InstancePtr | ) |

This function prints the SDI TX SS stream information.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSS_SdiTxIntrHandler | ( | XV_SdiTxSs * | InstancePtr | ) |

This function calls the interrupt handler for SDI TX.

Parameters

  InstancePtr | is a pointer to the SDI TX Subsystem

References XV_SdiTxSs::SdiTxPtr.

Referenced by main().

int XV_SdiTxSs_SetCallback | ( | XV_SdiTxSs * | InstancePtr,
|  | u32 | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function for the given HandlerType:

    HandlerType                     Callback Function Type
    -----------------------         ---------------------------------------------
    (XV_SDITXSS_HANDLER_GTREADY)                    GtReadyCallback
    (XV_SDITXSS_HANDLER_OVERFLOW)                   OverFlowCallback
    (XV_SDITXSS_HANDLER_UNDERFLOW)          UnderFlowCallback
    (XV_SDITXSS_HANDLER_CEALIGN)                    CeAlignErrCallback
    (XV_SDITXSS_HANDLER_AXI4SVIDLOCK)               Axi4sVidLockCallback

Parameters

  InstancePtr | is a pointer to the SDI TX Subsystem instance.
  HandlerType | specifies the type of handler.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  - XST_SUCCESS if callback function installed successfully.
  - XST_INVALID_PARAM when HandlerType is invalid.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.

References XV_SdiTxSs::Axi4sVidLockCallback, XV_SdiTxSs::Axi4sVidLockRef, XV_SdiTxSs::CeAlignErrCallback, XV_SdiTxSs::CeAlignErrRef, XV_SdiTxSs::GtReadyCallback, XV_SdiTxSs::GtReadyRef, XV_SdiTxSs::OverFlowCallback, XV_SdiTxSs::OverFlowRef, XV_SdiTxSs::UnderFlowCallback, XV_SdiTxSs::UnderFlowRef, XV_SDITXSS_HANDLER_AXI4SVIDLOCK, XV_SDITXSS_HANDLER_CEALIGN, XV_SDITXSS_HANDLER_GTREADY, XV_SDITXSS_HANDLER_OVERFLOW, and XV_SDITXSS_HANDLER_UNDERFLOW.

Referenced by main().

int XV_SdiTxSs_SetColorFormat | ( | XV_SdiTxSs * | InstancePtr,
|  | XVidC_ColorFormat | ColorFormat
| ) |  |

This function Set the video format of the SDI TX Ss core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.
  ColorFormat | is a variable of type XVidC_ColorFormat.

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_SetCoreSettings | ( | XV_SdiTxSs * | InstancePtr,
|  | XV_SdiTxSs_CoreSelId | SelId,
|  | u8 | Data
| ) |  |

This function sets the SDI TXSS core settings.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.
  SelId | specifies which parameter of the stream to be set. 0 = XV_SDITXSS_CORESELID_INSERTCRC 1 = XV_SDITXSS_CORESELID_INSERTST352 2 = XV_SDITXSS_CORESELID_ST352OVERWRITE 3 = XV_SDITXSS_CORESELID_INSERTSYNCBIT 4 = XV_SDITXSS_CORESELID_SDBITREPBYPASS 5 = XV_SDITXSS_CORESELID_USEANCIN 6 = XV_SDITXSS_CORESELID_INSERTLN 7 = XV_SDITXSS_CORESELID_INSERTEDH
  Data | specifies what data to be set for the selected parameter.

Returns

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

Referenced by main().

u32 XV_SdiTxSs_SetStream | ( | XV_SdiTxSs * | InstancePtr,
|  | XV_SdiTx_StreamSelId | SelId,
|  | u32 | Data,
|  | u8 | StreamId
| ) |  |

This function sets the SDI TXSs stream parameters.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.
  SelId | specifies which parameter of the stream to be set. 0 = XV_SDITX_STREAMSELID_VMID 1 = XV_SDITX_STREAMSELID_COLORFORMAT 2 = XV_SDITX_STREAMSELID_BPC 3 = XV_SDITX_STREAMSELID_PPC 4 = XV_SDITX_STREAMSELID_ASPECTRATIO 5 = XV_SDITX_STREAMSELID_STANDARD 6 = XV_SDITX_STREAMSELID_STREAMINTERLACE 7 = XV_SDITX_STREAMSELID_CHANNEL
  Data | specifies what data to be set for the selected parameter.
  StreamId | specifies which of the streams to be set.

Returns
  - XST_SUCCESS on successful Set stream
  - XST_FAILURE if TimingPtr is not derived

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_SetVideoStream | ( | XV_SdiTxSs * | InstancePtr,
|  | XVidC_VideoStream | VidStream
| ) |  |

This function Sets the SDI TX SS video stream.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance
  VidStream | specifies the settings for the video stream

Returns
  XVidC_VideoStream pointer

Note
  None.

References XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_SetYCbCr444_RGB_10bit | ( | XV_SdiTxSs * | InstancePtr | ) |

This function enable the YUV444/RGB 10bit support SDI TX SS video stream.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None

References XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_ST352CStreamEnable | ( | XV_SdiTxSs * | InstancePtr | ) |

This function enables the insertion of ST352 in C stream of the SDI TX Ss core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  None.

Note
  None.

References XV_SdiTxSs::Config, XV_SdiTxSs_Config::InsertCSTRST352, and XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_ST352CSwitch3GA | ( | XV_SdiTxSs * | InstancePtr | ) |

This function enables the ST352 value to be used from DS2 instead of DS3 register in C stream of the SDI TX Ss core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  None.

Note
  None.

References XV_SdiTxSs::Config, XV_SdiTxSs_Config::InsertCSTRST352, and XV_SdiTxSs::SdiTxPtr.

void XV_SdiTxSs_Stop | ( | XV_SdiTxSs * | InstancePtr | ) |

This macro disables the SDI TX peripheral.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  None.

Note
  None.

References XV_SdiTxSs::IsStreamUp, XV_SdiTxSs::SdiTxPtr, XV_SDITXSS_LOG_EVT_STOP, and XV_SdiTxSs_LogWrite().

Referenced by RxStreamDownCallback().

void XV_SdiTxSs_StreamConfig | ( | XV_SdiTxSs * | InstancePtr | ) |

This function configures SDI TX stream.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None.

Note
  None.

References XV_SdiTxSs::SdiTxPtr, and XV_SdiTxSs_LogWrite().

Referenced by StartTxAfterRx().

void XV_SdiTxSs_StreamStart | ( | XV_SdiTxSs * | InstancePtr | ) |

This function starts the SDI TX stream.

Parameters

  InstancePtr | pointer to XV_SdiTxSs instance

Returns
  None.

Note
  None.

References XV_SdiTxSs::Config, XV_SdiTxSs::SdiTxPtr, XV_SdiTxSs::VtcPtr, XV_SDITXSS_LOG_EVT_STREAMSTART, and XV_SdiTxSs_LogWrite().